//
//    libsocketcpp - a C++ class/library to allow easy TCP and UDP functionatliy
//    Copyright (C) 2001 Garrett Grice
//
//    This library is free software; you can redistribute it and/or
//    modify it under the terms of the GNU Lesser General Public
//    License as published by the Free Software Foundation; either
//    version 2 of the License, or (at your option) any later version.
//
//    This library is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    Lesser General Public License for more details.
//
//    You should have received a copy of the GNU Lesser General Public
//    License along with this library; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//    see the file "AUTHORS" for contact information.
    


#include <stdio.h>
#include <stdlib.h>
#include <iostream.h>
#include <unistd.h>
#include <sys/wait.h>
#include <sys/types.h>
#include <string.h>

#include "tcpsocket.h"

main() {
   printf("\r\nInit Object...");
   TCPSocket *MyServerSocket = new TCPSocket;
   MyServerSocket->Create(5555);
   MyServerSocket->Listen();
   while(1) {
      MyServerSocket->Accept();
      printf("\r\n--Server got a connection from address %s--\r\n", MyServerSocket->GetRemoteIP());
      if(!fork()) {
      
      MyServerSocket->Send("Enter your name: \n", 18);
         char Buffer = '\0';
	 char *TotalName = new char[20];
	 int TotalIndex = 0;
	 
	 while (Buffer != '\n') {
	 MyServerSocket->Recv(&Buffer, 1);
	 MyServerSocket->Send(&Buffer, 1);
         TotalName[TotalIndex] = Buffer;
	 TotalIndex++;
	 }
	 TotalName[TotalIndex] = '\0';
	 
	 char *Buffer2 = new char[100];
	 sprintf(Buffer2, "\r\nYour name: %s\r\n", TotalName);
	 MyServerSocket->Send(Buffer2, strlen(Buffer2));
	 
	 
      MyServerSocket->InboundClose();
      exit(0);
      }
      
      MyServerSocket->InboundClose();
      
      while(waitpid(-1, NULL, WNOHANG) > 0);
  }
      
 }

