//    libsocketcpp - a C++ class/library to allow easy TCP and UDP functionatliy
//    Copyright (C) 2001 Garrett Grice
//    
//      This library is free software; you can redistribute it and/or
//      modify it under the terms of the GNU Lesser General Public
//      License as published by the Free Software Foundation; either
//      version 2 of the License, or (at your option) any later version.
//   
//      This library is distributed in the hope that it will be useful,
//      but WITHOUT ANY WARRANTY; without even the implied warranty of
//      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//      Lesser General Public License for more details.
//   
//      You should have received a copy of the GNU Lesser General Public
//      License along with this library; if not, write to the Free Software
//      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//  
//      see the file "AUTHORS" for contact information.
//
//

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "tcpsocket.h"

main() {
	char *Host = new char[100];
	char *Buffer = new char[2048];
	char *TempMsg = new char[100];
	printf("\r\nCommunications Test -- Connect to a webserver\r\n");
	printf("\r\nEnter address of webserver: ");
	gets(Host);
	printf("\r\n\r\nCreating TCPSocket Object...");
	TCPSocket *MySocket = new TCPSocket;
	printf("OK!\r\n");
	printf("TCPSocket::Create()...");
	if(MySocket->Create())
		printf("OK!\r\n");
	printf("TCPSocket::Connect()...");
	if(MySocket->Connect(80, Host))
		printf("OK!\r\n");
	else {
		printf("FAILED!\r\n");
		MySocket->Close();
		exit(1);
	}

	printf("Sending 'GET / HTTP/1.1'...\r\n");
	sprintf(TempMsg, "GET / HTTP/1.1\r\nHost: %s\r\n\r\n", Host);
	MySocket->Send(TempMsg, strlen(TempMsg));
	printf("Recieving Data...\r\n");
	MySocket->Recv(Buffer, 2048);
	printf("\r\nReceived Data:\r\n");
	printf("%s", Buffer);

	printf("\r\nClosing Connection...");
	MySocket->Close();
	printf("OK!\r\n");

	delete MySocket;
	delete [] Buffer;
	delete [] Host;
	delete [] TempMsg;
}



